# $file.extractpath

Extract the path from a filename

Syntax

    $file.extractpath(<filepath>)

Description
Returns the path part of the <filepath> translated to match the current platform filesystem conventions. The path will NOT contain a trailing path separator. For example, if <filepath> is /usr/arch/mp3/Carisma_SuonoDelSilenzio.mp3 then this function will return /usr/arch/mp3 on UNIX and C:\usr\arch\mp3 on Windows.
Examples

        echo KVIrc looks for pictures in $file.globaldir(pics)
        echo panic.png would be translated to $file.globaldir(pics/panic.png)

See also
[fnc]$file.extractfilename[/file]

Main index, Function index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004